Support » Plugin: Gutenberg » Version 9.8 broke my website

  • Hi,

    after automatic update of Gutenberg from 9.7.4 to 9.8.0 my website is broken.
    Wordpress 5.6, php 7.4.11, official child theme for Astra 3.0.1 theme.

    One Cover block have different style than before (block overlay on backend editor is black but before it was and should be green as this color is picked up in pallete) and other Cover block is broken (There is a message about recovering this block). Before plugin update everything was ok. Now, when I try to recover broken block or simply edit this page, after publishing it the design on frontend is broken (photo from Cover block is outside this block and is covering up text below) etc.

    I have backup of my website from yesterday, but after installing it Gutenberg is updating itself automaticly before I can turn off it’s updates and breaking my website again :/

    Where can I download version 9.7.4 of Gutenberg to install it manually?
    Is it even possible to downgrade this plugin and restore old design?

    Will appreciate any help. Thanks!

    • This topic was modified 10 months, 1 week ago by lsrgsrd.
    • This topic was modified 10 months, 1 week ago by lsrgsrd.
Viewing 6 replies - 1 through 6 (of 6 total)
  • I have the same problem than you (also use ASTRA theme) lsrgsrd. I can´t modify my header and my images also are covering up text below.
    Please, we need any help:(

    Thread Starter lsrgsrd

    (@lsrgsrd)

    I’ve already found a solution by downgrading Gutenberg plugin.

    1. Backup your website and database.

    2. Login to WordPress admin and turn off Gutenberg autoupdate in Plugins. Log out.

    3. Download Gutenberg 9.7.4 in advanced view on plugin page at the bottom:
    https://wordpress.org/plugins/gutenberg/advanced/

    4. Use FTP and go to plugins directory /wp-content/plugins and change gutenberg directory to gutenberg-temp

    5. Upload Gutenberg 9.7.4 unziped directory to plugins directory.

    6. Login to WordPress and check if it’s working.

    • This reply was modified 10 months, 1 week ago by lsrgsrd.

    Thank you!!! I,ll try it.

    Best regards

    • This reply was modified 10 months, 1 week ago by ballopony.
    Thread Starter lsrgsrd

    (@lsrgsrd)

    Did you update the plugin to latest version? Is it working now?
    In my case after updating to 9.8 or 9.8.1 I still have the same problem.

    I also got an e-mail from WordPress build-in plugins and themes “error checker”.

    E_COMPILE_ERROR in line 101 …/wp-content/plugins/gutenberg/lib/load.php.
    Error: require(): Failed opening required …/wp-content/plugins/gutenberg/lib/widgets.php’ (include_path=’.:/usr/local/php/7.4/7.4.11-dh34/lib/php’)

    Anyone knows what is the problem?

    annezazu

    (@annezazu)

    Hey there! Thanks for reporting this although I’m bummed to see Gutenberg 9.8 broke your site. To confirm, have you disabled all other plugins to rule out a plugin conflict? I just want to be sure before opening an issue in GitHub: https://github.com/WordPress/gutenberg/issues

    pb1955

    (@pb1955)

    I have a phpfatal error coming from the plugin causing the issue where my site chashes
    :
    3 PHP Fatal error:

    I would prefer to go back to an earlier version too…

    Uncaught Error: Call to undefined function register_block_type_from_metadata() in /nas/content/live/flowox2/wp-content/plugins/gutenberg/lib/blocks.php:124\nStack trace:\n#0 /nas/content/live/flowox2/wp-includes/class-wp-hook.php(287): gutenberg_reregister_core_block_types(”)\n#1 /nas/content/live/flowox2/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)\n#2 /nas/content/live/flowox2/wp-includes/plugin.php(478): WP_Hook->do_action(Array)\n#3 /nas/content/live/flowox2/wp-settings.php(470): do_action(‘init’)\n#4 /nas/content/live/flowox2/wp-config.php(126): require_once(‘/nas/content/li…’)\n#5 /nas/content/live/flowox2/wp-load.php(37): require_once(‘/nas/content/li…

    ‘)\n#6 /nas/content/live/flowox2/wp-cron.php(44): require_once(‘/nas/content/li…’)\n#7 {main}\n thrown in /nas/content/live/flowox2/wp-content/plugins/gutenberg/lib/blocks.php on line 124

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Version 9.8 broke my website’ is closed to new replies.